# Update Postback

| HTTP method | Endpoint                                    |
| ----------- | ------------------------------------------- |
| **PUT**     | **/aff/v1/offer\_postbacks/{postback\_id}** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter    | Description                               |
| ------------ | ----------------------------------------- |
| postback\_id | The unique id for the affiliate postback. |

## Request body parameters <a href="#request-body-parameters-0" id="request-body-parameters-0"></a>

| Field | Type   | Description         | Nullable |
| ----- | ------ | ------------------- | -------- |
| code  | string | Must be URL format. | No       |

## Tracking Parameters

|                 |                 |                  |                 |
| --------------- | --------------- | ---------------- | --------------- |
| {click\_id}     | {offer\_id}     | **{event\_id}**  | {country\_id}   |
| {aff\_id}       | {adv\_id}       | **{adv\_sub1}**  | **{adv\_sub2}** |
| **{adv\_sub3}** | {aff\_sub1}     | {aff\_sub2}      | {aff\_sub3}     |
| {aff\_sub4}     | {aff\_sub5}     | {source\_id}     | {agent}         |
| {click\_time}   | {payout}        | {referer}        | {accept\_lan}   |
| {ip}            | {unique\_click} | {currency}       | {ios\_idfa}     |
| {android\_id}   | {google\_aid}   | {conversion\_ip} | {amount}        |

## Response body parameters <a href="#response-body-parameters-0" id="response-body-parameters-0"></a>

| Field         | Type    | Description                                                                         |
| ------------- | ------- | ----------------------------------------------------------------------------------- |
| id            | integer | Affiliate postback id.                                                              |
| offer\_id     | integer | Offer id.                                                                           |
| affiliate\_id | integer | Affiliaite id                                                                       |
| event\_id     | integer | Event id.                                                                           |
| code          | string  | Code.                                                                               |
| status        | string  | Status of Postback.  Pending;  Approved;  rejected                                  |
| type          | string  | Type of code.  0: Global Postback   1:Image Pixel;   2:Postback URL;   3:HTML Pixel |
| create\_time  | integer | Create time.                                                                        |
| update\_time  | integer | Update time.                                                                        |

## Example request <a href="#example-request-0" id="example-request-0"></a>

**Request PUT** <https://{networkname}.api.offerslook.com/aff/v1/offer_postbacks/51>

**Request PUT** <http://{networkname}.api.offerslook.com/aff/v1/offer_postbacks/51>

```
    {
      "code": "https://offerslook.gitbooks.io/api-documentation/content/index.html"
    }
```

## Example response <a href="#example-response-0" id="example-response-0"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "affiliate_postback": {
          "id": 51,
          "offer_id": 5,
          "affiliate_id": 161,
          "event_id": 1,
          "type": 2,
          "code": "https://offerslook.gitbooks.io/api-documentation/content/index.html",
          "status": "pending",
          "create_time": 1467777333,
          "update_time": 1467793650
        }
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/affiliate_api/offer_postbacks/update_postback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
